SentenceEvaluationErrorListener (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.cmdline.sentdetect

## Class SentenceEvaluationErrorListener

- java.lang.Object
- - opennlp.tools.cmdline.EvaluationErrorPrinter<SentenceSample>
  - - opennlp.tools.cmdline.sentdetect.SentenceEvaluationErrorListener

- All Implemented Interfaces:
    SentenceDetectorEvaluationMonitor, EvaluationMonitor<SentenceSample>

      public class SentenceEvaluationErrorListener
      extends opennlp.tools.cmdline.EvaluationErrorPrinter<SentenceSample>
      implements SentenceDetectorEvaluationMonitor

  A default implementation of `EvaluationMonitor` that prints to an output stream.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SentenceEvaluationErrorListener()` Creates a listener that will print to System.err
    `SentenceEvaluationErrorListener(OutputStream outputStream)` Creates a listener that will print to a given `OutputStream`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `missclassified(SentenceSample reference, SentenceSample prediction)`

    - ### Methods inherited from class opennlp.tools.cmdline.EvaluationErrorPrinter

      `correctlyClassified`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface opennlp.tools.util.eval.EvaluationMonitor

      `correctlyClassified`

- - ### Constructor Detail

    - #### SentenceEvaluationErrorListener

          public SentenceEvaluationErrorListener()

      Creates a listener that will print to System.err

    - #### SentenceEvaluationErrorListener

          public SentenceEvaluationErrorListener(OutputStream outputStream)

      Creates a listener that will print to a given `OutputStream`

  - ### Method Detail

    - #### missclassified

          public void missclassified(SentenceSample reference,
                                     SentenceSample prediction)

      Specified by:
        `missclassified` in interface `EvaluationMonitor<SentenceSample>`
      Specified by:
        `missclassified` in class `opennlp.tools.cmdline.EvaluationErrorPrinter<SentenceSample>`

Copyright © 2026 The Apache Software Foundation. All rights reserved.